<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * [[機能説明]]
 *
 * @package     [[package名]]
 * @author      Your Name <mail@example.com>
 * @access      public
 */
class Seller_Itemexhibit_Stop_Complete
{

	var $mode;//mode = stop 停止, mode = release 停止解除

	var $auth;
	var $c_seller;

    /**
     * [[機能説明]]
     *
     * @access  public
     */
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Seller_Itemexhibit_Stop_Completeが実行されました", "Seller_Itemexhibit_Stop_Complete#execute");
        $this -> doAction();
        return 'success';
    }
    
    function getMode()
	{
	    return $this -> mode;
	}
	
	function setMode($mode)
	{
	    $this -> mode = $mode;
	}

    function doAction()
    {
		$membercd = $this->auth->getAuthData("membercd");
    	if($this -> mode == "stop") {
    	    $this -> c_seller -> stopItemExhibit($membercd);
    	} else {
    	    $this -> c_seller -> releaseItemExhibit($membercd);
    	}
    }
}
?>
